Eine der nachfolgenden Berechtigungen ist erforderlich, um diese API aufrufen zu können. Weitere Informationen, unter anderem zur Auswahl von Berechtigungen, finden Sie im Artikel zum Thema Berechtigungen.
Berechtigungstyp
Berechtigungen (von der Berechtigung mit den wenigsten Rechten zu der mit den meisten Rechten)
PATCH https://graph.microsoft.com/v1.0/education/schools/{school-id}
Content-type: application/json
{
"displayName": "Fabrikam Arts High School",
"description": "Magnate school for the arts. Los Angeles School District"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var educationSchool = new EducationSchool
{
DisplayName = "Fabrikam Arts High School",
Description = "Magnate school for the arts. Los Angeles School District"
};
await graphClient.Education.Schools["{educationSchool-id}"]
.Request()
.UpdateAsync(educationSchool);
const options = {
authProvider,
};
const client = Client.init(options);
const educationSchool = {
displayName: 'Fabrikam Arts High School',
description: 'Magnate school for the arts. Los Angeles School District'
};
await client.api('/education/schools/{school-id}')
.update(educationSchool);
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
EducationSchool educationSchool = new EducationSchool();
educationSchool.displayName = "Fabrikam Arts High School";
educationSchool.description = "Magnate school for the arts. Los Angeles School District";
graphClient.education().schools("{school-id}")
.buildRequest()
.patch(educationSchool);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewEducationSchool()
displayName := "Fabrikam Arts High School"
requestBody.SetDisplayName(&displayName)
description := "Magnate school for the arts. Los Angeles School District"
requestBody.SetDescription(&description)
educationSchoolId := "educationSchool-id"
graphClient.Education().SchoolsById(&educationSchoolId).Patch(requestBody)
Import-Module Microsoft.Graph.Education
$params = @{
DisplayName = "Fabrikam Arts High School"
Description = "Magnate school for the arts. Los Angeles School District"
}
Update-MgEducationSchool -EducationSchoolId $educationSchoolId -BodyParameter $params